package de.intevation.flys.client.shared.model;

import java.io.Serializable;

import java.util.HashMap;
import java.util.Map;

public class ArtifactFilter
implements   Serializable
{
    protected String factoryName;

    protected Map<String, OutFilter> outFilters;

    public ArtifactFilter() {
        outFilters = new HashMap<String, OutFilter>();
    }

    public ArtifactFilter(String factoryName) {
        this.factoryName = factoryName;
    }

    public String getFactoryName() {
        return factoryName;
    }

    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    public void add(String out, String name, String num) {

        if (out == null) {
            out = ToLoad.uniqueKey(outFilters);
        }

        OutFilter outFilter = outFilters.get(out);

        if (outFilter == null) {
            outFilter = new OutFilter(out);
            outFilters.put(out, outFilter);
        }
        outFilter.add(name, num);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
